--- firehol.sh.orig	2007-05-21 13:07:35.000000000 +0500
+++ firehol.sh	2008-02-05 00:15:17.000000000 +0500
@@ -13,6 +13,11 @@
 # $Id: firehol.sh,v 1.255 2007/05/06 14:42:43 ktsaou Exp $
 #
 
+RUNLEVEL=3
+NEEDS="+network"
+
+. /etc/init.d/smgl_init
+
 # Make sure only root can run us.
 if [ ! "${UID}" = 0 ]
 then
@@ -86,7 +91,7 @@ require_cmd() {
 	# if one is found, return success
 	for x in $1
 	do
-		eval var=`echo ${x} | tr 'a-z' 'A-Z'`_CMD
+		eval var=$(tr '[[:lower:]]' '[[:upper:]]' <<< "$x")_CMD
 		eval val=\$\{${var}\}
 		if [ -z "${val}" ]
 		then
@@ -129,7 +134,7 @@ require_cmd() {
 # (i.e. Command on Demand)
 #
 # wget or curl (either is fine)
-# gzcat
+# zcat
 # ip
 # netstat
 # date
@@ -2749,8 +2754,8 @@ protection() {
 # new firewall has been activated. Here we just keep a list of the required
 # kernel modules.
 
-# optionaly require command gzcat
-require_cmd -n gzcat
+# optionaly require command zcat
+require_cmd -n zcat
 
 KERNEL_CONFIG=
 if [ -f "/proc/config" ]
@@ -2759,10 +2764,10 @@ then
 	${CAT_CMD} /proc/config >${FIREHOL_DIR}/kcfg
 	source ${FIREHOL_DIR}/kcfg
 	${RM_CMD} -f ${FIREHOL_DIR}/kcfg	
-elif [ -f "/proc/config.gz" -a ! -z "${GZCAT_CMD}" ]
+elif [ -f "/proc/config.gz" -a ! -z "${ZCAT_CMD}" ]
 then
 	KERNEL_CONFIG="/proc/config.gz"
-	${GZCAT_CMD} /proc/config.gz >${FIREHOL_DIR}/kcfg
+	${ZCAT_CMD} /proc/config.gz >${FIREHOL_DIR}/kcfg
 	source ${FIREHOL_DIR}/kcfg
 	${RM_CMD} -f ${FIREHOL_DIR}/kcfg
 	
